Question

Have anyone managed to use new react-native library with hermes-engine for Android?

  • 10 August 2022
  • 2 replies
  • 37 views

I recently changed my react native library to the official one. I have no problem en iOS but cant make it work for Android.

Error on Android simulatorThe error comes from from node_module intercom package, I think it might have something to do with hermes-engine (used for live reloading)intercom_package indexThis is the error on the console:

console errorAnyone have encountered this issue?


2 replies

Userlevel 4
Badge +2

Hi @guillermo​ , Diana, the Community Program Manager here 👋

I'm looping in some of our Community Experts @kevin b​ , @user382​ , @brent w​ , @user1207​ , in case they can advise on that 👍

Userlevel 4
Badge +5

Hey @guillermo​ Racheal from the support engineer team 👋

 

I'm hoping we'll have another community member chime in to help you out here but in the meantime I'll definitely flag support for Hermes as a feature request for the team to consider. This will also be a great addition to the @Product Wishlist​ ! I totally understand where you're coming from here and understand that Hermes support will become more necessary as it moves to a more used JS engine.

Reply